Bug 456334 - GFS2: glock dumping misses out some glocks
GFS2: glock dumping misses out some glocks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity high
: rc
: ---
Assigned To: Don Zickus
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-22 18:38 EDT by Steve Whitehouse
Modified: 2009-01-20 14:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:51:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix the bug (866 bytes, patch)
2008-07-22 18:38 EDT, Steve Whitehouse
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 11:06:24 EST

  None (edit)
Description Steve Whitehouse 2008-07-22 18:38:13 EDT
Some glocks are missed out of the debugfs file in certain cases. It is fixed by
the attached patch.
Comment 1 Steve Whitehouse 2008-07-22 18:38:13 EDT
Created attachment 312403 [details]
Patch to fix the bug
Comment 2 RHEL Product and Program Management 2008-07-22 18:40:37 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Steve Whitehouse 2008-07-22 18:53:48 EDT
Patch is now in the -nmw git tree
Comment 4 Steve Whitehouse 2008-07-23 15:12:27 EDT
ACKs please.
Comment 5 Don Zickus 2008-07-25 16:26:58 EDT
in kernel-2.6.18-100.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 errata-xmlrpc 2009-01-20 14:51:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.